extends Node

@warning_ignore_start("unused_signal") # since otherwise Godot will throw a warning that the signal is unused in current scope

signal floor_changed(floor_num: int)
signal saved_changed(count: int)
signal score_changed(new_score: int)
signal people_changed(count: int, threshold: int)
signal game_started
signal game_won
signal game_lost
signal floor_started(survivor_count: int)

@warning_ignore_restore("unused_signal") # put any future signals you add between the two ignore annotations
